> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pod resource usage metrics for a model endpoint version

> Get pod resource usage metrics time series data for a specific model endpoint version from Prometheus. Returns memory usage, CPU usage, GPU utilization, and GPU memory usage.



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml get /api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}/pod-resource-metrics
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}/pod-resource-metrics:
    get:
      tags:
        - GenAI
      summary: Get pod resource usage metrics for a model endpoint version
      description: >-
        Get pod resource usage metrics time series data for a specific model
        endpoint version from Prometheus. Returns memory usage, CPU usage, GPU
        utilization, and GPU memory usage.
      operationId: getPodResourceUsageMetrics
      parameters:
        - description: The ID of the model endpoint to get pod resource metrics for
          in: path
          name: endpointId
          required: true
          schema:
            example: 62313ce67a0af0281c01a6a5
            type: string
        - description: >-
            The version number of the model endpoint to get pod resource metrics
            for
          in: path
          name: versionNumber
          required: true
          schema:
            example: 1
            type: integer
        - description: >-
            Start time for the metrics query in ISO 8601 format. Defaults to 24
            hours ago.
          in: query
          name: startTime
          required: false
          schema:
            example: '2024-01-15T10:00:00Z'
            format: date-time
            type: string
        - description: >-
            End time for the metrics query in ISO 8601 format. Defaults to
            current time.
          in: query
          name: endTime
          required: false
          schema:
            example: '2024-01-16T10:00:00Z'
            format: date-time
            type: string
        - description: >-
            Optional aggregation window for metrics data points. When provided,
            uses the specified window (5min, hourly, or daily) for step size.
            When omitted, uses adaptive step sizing based on the time range to
            optimize data point count.
          in: query
          name: aggregationWindow
          required: false
          schema:
            enum:
              - hourly
              - daily
            example: hourly
            type: string
        - description: >-
            Maximum number of historical executions to include in metrics
            aggregation. Defaults to 3 if not specified.
          in: query
          name: maxHistoricalExecutions
          required: false
          schema:
            default: 3
            example: 3
            maximum: 10
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PodResourceUsageMetricsV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    PodResourceUsageMetricsV1:
      properties:
        resourceUsage:
          $ref: '#/components/schemas/PodResourceTimeSeriesV1'
          description: Combined pod resource usage time series data
      required:
        - resourceUsage
      type: object
    PodResourceTimeSeriesV1:
      properties:
        observations:
          items:
            $ref: '#/components/schemas/PodResourceObservationV1'
          type: array
      required:
        - observations
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    PodResourceObservationV1:
      properties:
        cpuUsagePercent:
          description: CPU usage as percentage
          example: 45.2
          format: double
          type: number
        gpuMemoryUsagePercent:
          description: GPU memory usage as a percentage of the GPU's total memory
          example: 42.7
          format: double
          type: number
        gpuMemoryUsedBytes:
          description: GPU memory usage in bytes
          example: 2147483648
          format: double
          type: number
        gpuUtilizationPercent:
          description: GPU utilization as percentage
          example: 78.5
          format: double
          type: number
        memoryUsageBytes:
          description: Memory usage in bytes
          example: 1073741824
          format: double
          type: number
        memoryUsagePercent:
          description: Memory usage as a percentage of the container's memory limit
          example: 65.3
          format: double
          type: number
        timestamp:
          description: Timestamp of the observation
          example: '2024-01-15T10:00:00Z'
          format: date-time
          type: string
      required:
        - timestamp
        - memoryUsageBytes
        - memoryUsagePercent
        - cpuUsagePercent
        - gpuUtilizationPercent
        - gpuMemoryUsedBytes
        - gpuMemoryUsagePercent
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````